package jalview.structure;

/**
 * Java bean representing an atom in a PDB (or similar) structure model.
 * 
 * @author gmcarstairs
 *
 */
public class AtomSpec
{
  private String pdbId;

  private String chain;

  private int pdbResNum;

  private int atomIndex;

  /**
   * Constructor
   * 
   * @param id
   * @param chain
   * @param resNo
   * @param atomNo
   */
  public AtomSpec(String id, String chain, int resNo, int atomNo)
  {
    this.pdbId = id;
    this.chain = chain;
    this.pdbResNum = resNo;
    this.atomIndex = atomNo;
  }

  public String getPdbId()
  {
    return pdbId;
  }

  public String getChain()
  {
    return chain;
  }

  public int getPdbResNum()
  {
    return pdbResNum;
  }

  public int getAtomIndex()
  {
    return atomIndex;
  }

  @Override
  public String toString()
  {
    return "pdbId: " + pdbId + ", chain: " + chain + ", res: " + pdbResNum
            + ", atom: " + atomIndex;
  }
}
